# FLOOR function

The FLOOR function rounds the specified number down, and returns the largest number that is less than or equal to the specified number.

The specified number must be a DOUBLE PRECISION number.

- If the specified number is NULL, the result of this function is NULL.
- If the specified number is equal to a mathematical integer, the result of this function is the same as the specified number.
- If the specified number is zero (0), the result of this function is zero.

The returned value is the largest (closest to positive infinity) double floating point value that is less than or equal to the specified number. The returned value is equal to a mathematical integer. The data type of the returned value is a DOUBLE PRECISION number.

#### Syntax

    FLOOR ( number )

Parent topic: Built-in functions